﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using BPA.SAAS.KitChenManage.Application.AExternalPlatform.Service.CheckService.Services;
using Microsoft.AspNetCore.Components.Forms;

namespace BPA.SAAS.Manage.Application.AExternalPlatform.Service.CheckService
{
   
    [ApiDescriptionSettings("开放平台", Tag = "检查"), AllowAnonymous]
    public class CheckServices : IDynamicApiController
    {
        private readonly ICheckServices _checkServices;
        public CheckServices(ICheckServices checkServices)
        {
            _checkServices = checkServices;
        }

        /// <summary>
        ///检查Sign
        /// </summary>
        public async Task CheckSign<T>(T dto)
        {
           await _checkServices.CheckSign(dto);
        }


    }
}
