﻿using BPA.SAAS.KitChenManage.Core.Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.KitChenManage.Application.Authorization.Dtos
{
    public class StoreAuthorizationDto: BPA_StoreAuthorization
    {
        public string StoreName { get; set; }
        public string StoreId { get; set; }
    }

    public class CreateOrUpDateStoreAuthorizationDto
    {
        public string Id { get; set; }

        public string Key { get; set; }

        public string StoreId { get; set; }

        /// <summary>
        /// 有效期 长期有效为空
        /// </summary>
        public DateTime? PeriodValidity { get; set; }
    }
}
