﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.KitChenManage.Application.Device.Dtos
{
    public class DevicePushRecodeDtoInput
    {
        public string DeviceId { get; set; }
        public string ProductVersion { get; set; }
        public string ProductKey { get; set; }
        public string ProductName { get; set; }
        public string DeviceName { get; set; }
        public int DeviceAutoKey { get; set; }
        public object Data { get; set; }
        public int Type { get; set; }
        public List<ProductTopics> TopicsData { get; set; }
    }
    public class ProductTopics
    {
        public string Id { get; set; }
        /// <summary>
        /// Topics类
        /// </summary>
        public string Topics { get; set; }
        /// <summary>
        /// TopicsType类型 0发布 1订阅 2发布和订阅
        /// </summary>
        public int TopicsType { get; set; }
        /// <summary>
        /// 描述
        /// </summary>
        public string Description { get; set; }
        public string ProductId { get; set; }
        public string ProductVesionId { get; set; }
        /// <summary>
        /// 是否默认Topics
        /// </summary>
        public bool IsDefault { get; set; }
    }
}
