﻿using BPA.SAAS.KitChenManage.Application.Device.Dtos;
using BPA.SAAS.KitChenManage.Core.Base;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.KitChenManage.Application.Device.Services
{
    public interface IDevicePushRecodeService
    {
        Task Test();
        /// <summary>
        /// 分页
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
       Task<PageUtil> Page(DevicePushRecodeDtoPageInput input);
        Task<bool> Add_alm(List<DevicePushRecodeDtoInputalm> input);
        /// <summary>
        /// 添加
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<bool> Add(DevicePushRecodeDtoInput input);
        /// <summary>
        /// 更新
        /// </summary>
        /// <param name="id"></param>
        /// <returns></returns>
        Task<bool> Update(string id);
        /// <summary>
        /// 删除
        /// </summary>
        /// <param name="input"></param>
        /// <returns></returns>
        Task<bool> Delete(List<string> input);

        #region 设备商品

        /// <summary>
        /// 获取设备商品
        /// </summary>
        /// <param name="deviceId"></param>
        /// <returns></returns>
        Task<List<Goods>> GetDeviceGoods(string deviceId);

        /// <summary>
        /// 编辑设备商品
        /// </summary>
        /// <param name="inputDto"></param>
        /// <returns></returns>
        Task<bool> EditDeviceGoods(DeviceGoodsInputDto inputDto);

        #endregion
    }
}
