﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.KitChenManage.Application.Push.Comm.Dto.GoodsTechnology
{
    public class TechnologyDto
    {
        public string Id { get; set; }
        public string Name { get; set; }
        public string DeviceVersionId { get; set; }
        public string ForeignKeyRe { get; set; }
        public DateTime CreateAt { get; set; }
        public List<TechnologyAction> TechnologyActionInfo { get; set; }
    }
    public class TechnologyAction
    {
        public string Id { get; set; }
        public string TechnologyId { get; set; }
        public string ActionName { get; set; }
        public string ActionValue { get; set; }
        public string ActionType { get; set; }
        public string Unit { get; set; }
        /// <summary>
        /// 工艺模型类型（标识是否物料 1标识物料 0标识其他）
        /// </summary>
        public int TechnologyType { get; set; }
        public DateTime CreateAt { get; set; }
        public int Sort { get; set; }
    }
}
