﻿using BPA.Message.Enum;
using BPA.Message;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.KitChenManage.Application.Push.Comm.Dto
{
    public class BPAPackage
    {
        public string MessageId { get; set; }

        public byte MessageVersion { get; set; }

        public int ClientId { get; set; }

        public string ClientType { get; set; }

        public DateTime Timestamp { get; set; } = DateTime.Now;


        public IMessage Message { get; set; }
        public string Serialize(bool isEncode = true)
        {
            if (isEncode)
            {
                return this.ToJSON().Encode();
            }

            return this.ToJSON();
        }
    }
}
