﻿using BPA.SAAS.KitChenManage.Core.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.KitChenManage.Core.Model
{
    [SugarTable("bpa_devicepushrecode")]
    public class BPA_DevicePushRecode : IBaseEntity, IGroupId
    {
        public string DeviceId { get; set; }
        public string DeviceName { get; set; }
        /// <summary>
        /// 下发类型1商品 2物料 3配方 4工艺
        /// </summary>
        public int Type { get; set; }
        public string GroupId { get; set; }
        public string Topic { get; set; }
        public string DataResore { get; set; }
        /// <summary>
        /// 下发状态 0下发中 1成功 2失败
        /// </summary>
        public int Status { get; set; }
        public int DeviceAutoKey { get; set; }
        public string Description { get; set; }
        public string MessageId { get; set; }
        public string TopicRely { get; set; }
        public string DataResoreRely { get; set; }
        public string DescriptionRely { get; set; }
    }
}
