﻿using BPA.SAAS.KitChenManage.Core.Base;
using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace BPA.SAAS.KitChenManage.Core.Model
{
    [SugarTable("bpa_storeauthorization")]
    public class BPA_StoreAuthorization : IBaseEntity, IGroupId
    {
        public string StoreId { get; set; }
        public string Key { get; set; }
        public string GroupId { get; set; }

        /// <summary>
        /// 有效期 长期有效为空
        /// </summary>
        public DateTime? PeriodValidity { get; set; }
    }
}
